# ChangeLog for sys-libs/cracklib
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-libs/cracklib/ChangeLog,v 1.87 2006/03/06 22:49:00 vapier Exp $

*cracklib-2.8.9 (06 Mar 2006)

  06 Mar 2006; Mike Frysinger <vapier@gentoo.org> +cracklib-2.8.9.ebuild:
  Version bump.

*cracklib-2.8.5-r1 (25 Feb 2006)

  25 Feb 2006; Mike Frysinger <vapier@gentoo.org>
  files/cracklib-2.8.3-dictname.patch, -cracklib-2.8.5.ebuild,
  +cracklib-2.8.5-r1.ebuild:
  Fix path to cracklib dict in python module #123913 by Frido Ferdinand.

  17 Jan 2006; Stuart Longland <redhatter@gentoo.org> cracklib-2.8.5.ebuild:
  Marked stable on MIPS as per bug #118945

  15 Jan 2006; Jose Luis Rivero <yoswink@gentoo.org> cracklib-2.8.5.ebuild:
  Stable on alpha wrt #118945

  15 Jan 2006; Torsten Veller <tove@gentoo.org> cracklib-2.8.5.ebuild:
  Stable on x86 (#118945)

  15 Jan 2006; Markus Rothe <corsair@gentoo.org> cracklib-2.8.5.ebuild:
  Stable on ppc64

  15 Jan 2006; Jason Wever <weeve@gentoo.org> cracklib-2.8.5.ebuild:
  Stable on SPARC wrt bug #118945.

  15 Jan 2006; Marcus D. Hanwell <cryos@gentoo.org> cracklib-2.8.5.ebuild:
  Stable on amd64, bug 118945.

  14 Jan 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  cracklib-2.8.5.ebuild:
  ppc stable, bug #118945

*cracklib-2.8.5 (06 Oct 2005)

  06 Oct 2005; Mike Frysinger <vapier@gentoo.org> +cracklib-2.8.5.ebuild:
  Version bump.

  09 Aug 2005; Aaron Walker <ka0ttic@gentoo.org> cracklib-2.8.3-r1.ebuild:
  Stable on mips.

  19 Jul 2005; Bryan Østergaard <kloeri@gentoo.org>
  cracklib-2.8.3-r1.ebuild:
  Stable on alpha.

  09 Jul 2005; Joseph Jezak <josejx@gentoo.org> cracklib-2.8.3-r1.ebuild:
  Marked ppc stable.

  08 Jul 2005; Rene Nussbaumer <killerfox@gentoo.org>
  cracklib-2.8.3-r1.ebuild:
  Stable on hppa.

  08 Jul 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  cracklib-2.8.3-r1.ebuild:
  Stable on sparc

  07 Jul 2005; Markus Rothe <corsair@gentoo.org> cracklib-2.8.3-r1.ebuild:
  Stable on ppc64

  06 Jul 2005; Danny van Dyk <kugelfang@gentoo.org>
  cracklib-2.8.3-r1.ebuild:
  Marked stable on amd64.

*cracklib-2.8.3-r1 (16 Apr 2005)

  16 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +files/cracklib-2.8.3-packer-defines.patch, +cracklib-2.8.3-r1.ebuild:
  Grab update from upstream to fix building mod_php #85698.

*cracklib-2.8.3 (12 Apr 2005)

  12 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +files/cracklib-2.8.3-dictname.patch, +cracklib-2.8.3.ebuild:
  Version bump to fix packer.h issues #85698.

*cracklib-2.8.2 (18 Mar 2005)

  18 Mar 2005; Mike Frysinger <vapier@gentoo.org> +cracklib-2.8.2.ebuild:
  Version bump to fix security bug #85650.

*cracklib-2.8.1 (16 Mar 2005)

  16 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  -cracklib-2.8_pre1-r2.ebuild, +cracklib-2.8.1.ebuild:
  Version bump.

*cracklib-2.8_pre1-r2 (15 Mar 2005)

  15 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  -cracklib-2.8_pre1-r1.ebuild, +cracklib-2.8_pre1-r2.ebuild:
  Make sure we install packer.h #85289.

*cracklib-2.8_pre1-r1 (01 Mar 2005)

  01 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +files/cracklib-2.8_pre1-dictname.patch, +cracklib-2.8_pre1-r1.ebuild:
  Make sure the cracklib dicts are generated.

*cracklib-2.8_pre1 (11 Feb 2005)

  11 Feb 2005; Mike Frysinger <vapier@gentoo.org> +cracklib-2.8_pre1.ebuild:
  Version bump.

  15 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  files/cracklib-2.7-libdir.patch, cracklib-2.7-r10.ebuild:
  Make sure the dict files respect $(get_libdir) #74553.

  07 Dec 2004; Michael Sterrett <mr_bones_@gentoo.org>
  +files/cracklib-2.7-parallel-make.patch, cracklib-2.7-r10.ebuild:
  make it so parallel make works; tidy

  07 Dec 2004; Michael Sterrett <mr_bones_@gentoo.org>
  -cracklib-2.7-r7.ebuild, -cracklib-2.7-r8.ebuild, -cracklib-2.7-r9.ebuild:
  clean older ebuilds

  09 Nov 2004; Bryan Østergaard <kloeri@gentoo.org>
  cracklib-2.7-r10.ebuild:
  Stable on alpha.

  08 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org> cracklib-2.7-r10.ebuild:
  Stable on sparc

  08 Nov 2004; Robin H. Johnson <robbat2@gentoo.org> cracklib-2.7-r10.ebuild:
  r10 stable on x86 for bug #69761.

  01 Nov 2004; Joshua Kinard <kumba@gentoo.org> cracklib-2.7-r10.ebuild:
  Marked stable on mips.

  12 Oct 2004; Gustavo Zacarias <gustavoz@gentoo.org> cracklib-2.7-r9.ebuild:
  Stable on sparc

  30 Sep 2004; Simon Stelling <blubb@gentoo.org> cracklib-2.7-r9.ebuild:
  get_libdir-ized

  01 Sep 2004; Travis Tilley <lv@gentoo.org> +files/cracklib-2.7-libdir.patch,
  cracklib-2.7-r10.ebuild:
  added a patch that makes cracklib lib64/lib32 aware. marked stable on amd64

  24 Aug 2004; Sven Wegener <swegener@gentoo.org> cracklib-2.7-r7.ebuild,
  cracklib-2.7-r8.ebuild:
  Added missing IUSE=""

*cracklib-2.7-r10 (12 Aug 2004)

  12 Aug 2004; Robin H. Johnson <robbat2@gentoo.org> +cracklib-2.7-r10.ebuild:
  Fix bug #57984.

  21 Jul 2004; Michael Sterrett <mr_bones_@gentoo.org> cracklib-2.7-r9.ebuild:
  use emake - works fine; error check sed; tidy

  30 Jun 2004; Aron Griffis <agriffis@gentoo.org> cracklib-2.7-r9.ebuild:
  stable on alpha and ia64

  28 Jun 2004; Brandon Hale <tseng@gentoo.org> :
  Stable on x86.

  22 Jun 2004; <solar@gentoo.org> cracklib-2.7-r9.ebuild,
  files/cracklib-2.7-gzip.patch:
  Added pam & uclibc to IUSE. Removed executable bit from libcrack.a, if pam is
  in not in USE we remove libcrack.a all together. Fixed long what appears to be
  long standing bug with libcrack that nobody noticed (it was looking for the
  words file at /usr/dict/words vs /usr/share/dict/words) If uclibc is set in
  IUSE we use the compressed dict provided by miscfiles.

  02 Jun 2004; Travis Tilley <lv@gentoo.org> cracklib-2.7-r9.ebuild:
  stable on amd64

  12 May 2004; Alexander Gabert <pappy@gentoo.org> cracklib-2.7-r7.ebuild,
  cracklib-2.7-r8.ebuild:
  cracklib apparently works with new SSP, removing hardened-gcc logic and
  filter-flags fstackprot

  26 Apr 2004; Michael McCabe <randy@gentoo.org> cracklib-2.7-r9.ebuild:
  Stable on s390

*cracklib-2.7-r9 (23 Apr 2004)

  23 Apr 2004; Robin H. Johnson <robbat2@gentoo.org> cracklib-2.7-r9.ebuild:
  bug #47482, libcrack.so should be in /lib as other stuff in the root fs is
  linked against it.

  09 Mar 2004; <agriffis@gentoo.org> cracklib-2.7-r8.ebuild:
  stable on alpha and ia64

  07 Mar 2004; Joshua Kinard <kumba@gentoo.org> cracklib-2.7-r8.ebuild:
  Marked stable on mips.

  09 Feb 2004; <gustavoz@gentoo.org> cracklib-2.7-r8.ebuild:
  stable on sparc

  09 Feb 2004; Guy Martin <gmsoft@gentoo.org> cracklib-2.7-r8.ebuild:
  Marked stable on hppa.

  06 Feb 2004; Martin Schlemmer <azarah@gentoo.org> cracklib-2.7-r8.ebuild:
  Bump to stable for x86 (needed by pam).

  03 Feb 2004; Bartosch Pixa <darkspecter@gentoo.org> cracklib-2.7-r8.ebuild:
  set ppc in keywords

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org> cracklib-2.7-r7.ebuild:
  Move to mips stable (~mips -> mips)

  21 Dec 2003; Brad House <brad_mssw@gentoo.org> cracklib-2.7-r8.ebuild:
  mark stable on amd64

*cracklib-2.7-r8 (10 Nov 2003)

  10 Nov 2003; Martin Schlemmer <azarah@gentoo.org> cracklib-2.7-r8.ebuild,
  files/cracklib-2.7-static-lib.patch:
  Add support to build static lib, needed for new version of pam.

  26 Sep 2003; Robin H. Johnson <robbat2@gentoo.org> cracklib-2.7-r7.ebuild:
  inherit eutil for older portages

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> cracklib-2.7-r7.ebuild :
  ia64 keywords.

  08 Sep 2003; Alexander Gabert <pappy@gentoo.org> cracklib-2.7-r7.ebuild:
  bug 28132 take out libgcc_s.so for gcc2.95

  09 Aug 2003; Alexander Gabert <pappy@gentoo.org> cracklib-2.7-r7.ebuild:
  adding propolice bugfix dependency only for gcc

  09 Aug 2003; Alexander Gabert <pappy@gentoo.org> cracklib-2.7-r7.ebuild:
  removed filterflags for propolice, added libgcc for proper propolice symbol
  __guard to be linked in by ld

  24 Jun 2003; Aron Griffis <agriffis@gentoo.org> cracklib-2.7-r7.ebuild:
  Mark stable on alpha

  09 Jun 2003; Luca Barbato <joker@gentoo.org> cracklib-2.7-r7.ebuild:
  Added ppc stable keyword

  08 Jun 2003; Christian Birchinger <joker@gentoo.org> cracklib-2.7-r7.ebuild:
  Added sparc stable keyword

*cracklib-2.7-r7 (12 May 2003)

  14 Jum 2003; Guy Martin <gmsoft@gentoo.org> cracklib-2.7-r7.ebuild :
  Added hppa to KEYWORDS.

  05 June 2003; Robin Johnson <robbat@gentoo.org> cracklib-2.7-r7.ebuild:
  No complaints heard about ~x86. Moving to stable x86.
  
  24 May 2003; Tavis Ormandy <taviso@gentoo.org> cracklib-2.7-r6.ebuild,
  cracklib-2.7-r7.ebuild, files/cracklib-2.7-dec-alpha-compiler.diff:
  dont use -g with ccc, use -g3
 
  22 May 2003; Robin Johnson <robbat@gentoo.org> cracklib-2.7-r7.ebuild:
  Moved to ~x86. Ensure gcc-config in DEPEND.

  14 May 2003; Robin Johnson <robbat@gentoo.org> 
  files/cracklib-2.7-gentoo-new.diff:
  Modified patch to put in '$(CC)' instead of 'cc' to ensure correct compile.

  12 May 2003; Robin Johnson <robbat@gentoo.org> cracklib-2.7-r7.ebuild:
  Version bump to get the original packer.h bug (#12441) gaurenteed to be
  resolved for the rollout of the new PHP eclass. I also noticed that packer.h
  is installed with incorrect permissions in some cases with sandboxes, so I
  use fperms 644 on it.  In unstable only presently waiting for QA approval.

*cracklib-2.7-r6 (25 Oct 2002)

  05 Apr 2003; Matthew Rickard <frogger@gentoo.org> cracklib-2.7-r6.ebuild:
  Filter the -fstack-protector flag since this causes build failure.

  29 Mar 2003; Seemant Kulleen <seemant@gentoo.org> cracklib-2.7-r6.ebuild:
  HOMEPAGE fix by Frantz Dhin <tragedy_rm@hotmail.com> in bug #18299

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> cracklib-2.7-r6.ebuild :
  Added arm to keywords.

  10 Feb 2003; Seemant Kulleen <seemant@gentoo.org> :

  removed old ebuilds, removed the no-longer-used precompiled dicts,
  removed an unused patch; using epatch from eutils instead.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> cracklib-2.7-r6.ebuild :
  Added hppa to keywords.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : 
  changed sparc ~sparc keywords
 
  31 Jan 2003; Ryan Phillips <rphillips@gentoo.org> :
  Install packer.h into /usr/include
  
  18 Jan 2003; Jan Seidel <tuxus@gentoo.org>
  Added mips to keywords

  25 Oct 2002; Nick Hadaway <raker@gentoo.org> cracklib-2.7-r6.ebuild,
  files/digest-cracklib-2.7-r6 :
  Added missing symlink  from libcrack.so.2 -> /usr/lib/libcrack.so.2.7
  See bug #9611.

*cracklib-2.7-r5 (03 May 2002)

  15 Jul 2002; Mark Guertin <gerk@gentoo.org>
  Added ppc to keywords

  03 May 2002; pvdabeel <pvdabeel@gentoo.org> :
  stop using precompiled dict files, use DEPEND=miscfiles instead

*cracklib-2.7-r4 (20 Apr 2002)

  20 Apr 2002; M.Thibaut <murphy@gentoo.org> :
  Add /usr/lib/cracklib_dict.* for sparc platforms.

*cracklib-2.7-r3 (18 Mar 2002)

  18 Mar 2002; M.Schlemmer <azarah@gentoo.org> :
  Add /usr/lib/cracklib_dict.* for pam/shadow cracklib support.

*cracklib-2.7-r2 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
